std::initializer_list< _E >(3cxx)

NAME
std::initializer_list< _E > - initializer_list

SYNOPSIS

  Public Types

typedef const _E * const_iterator
typedef const _E & const_reference
typedef const _E * iterator
typedef const _E & reference
typedef size_t size_type
typedef _E value_type

  Public Member Functions

constexpr const_iterator begin () const noexcept
constexpr const_iterator end () const noexcept
constexpr size_type size () const noexcept

  Related Functions
(Note that these are not member functions.)
template<class _Tp > constexpr const _Tp * begin (initializer_list< _Tp > __ils) noexcept
Return an iterator pointing to the first element of the initializer_list.
template<class _Tp > constexpr const _Tp * end (initializer_list< _Tp > __ils) noexcept
Return an iterator pointing to one past the last element of the initializer_list.

Detailed Description

  template<class _E>
class std::initializer_list< _E >" initializer_list

Friends And Related Function Documentation

  template<class _Tp > constexpr const _Tp * begin (initializer_list< _Tp > __ils) [related]

Return an iterator pointing to the first element of the initializer_list.

Parameters
    __ils Initializer list.

  template<class _Tp > constexpr const _Tp * end (initializer_list< _Tp > __ils) [related]

Return an iterator pointing to one past the last element of the initializer_list.

Parameters
    __ils Initializer list.

Referenced by std::forward_list< _Tp, _Alloc >::resize().

Author

Generated automatically by Doxygen for libstdc++ from the source code.